Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

ditch jeweler

  • Loading branch information...
commit 281cd704e222f332a6a19a645f2be3286c1c6851 1 parent d4eb9be
@binarylogic authored
Showing with 16 additions and 197 deletions.
  1. +0 −1  Gemfile
  2. +0 −10 Gemfile.lock
  3. +0 −17 Rakefile
  4. +16 −169 authlogic.gemspec
View
1  Gemfile
@@ -5,7 +5,6 @@ gem 'activerecord', '>= 3.0.7'
group :test do
gem 'bcrypt-ruby'
- gem 'jeweler'
gem 'rake'
gem 'debugger'
gem 'sqlite3'
View
10 Gemfile.lock
@@ -23,18 +23,9 @@ GEM
debugger-linecache (1.1.1)
debugger-ruby_core_source (>= 1.1.1)
debugger-ruby_core_source (1.1.3)
- git (1.2.5)
i18n (0.6.0)
- jeweler (1.8.3)
- bundler (~> 1.0)
- git (>= 1.2.5)
- rake
- rdoc
- json (1.7.3)
multi_json (1.3.6)
rake (0.9.2.2)
- rdoc (3.12)
- json (~> 1.4)
sqlite3 (1.3.6)
tzinfo (0.3.33)
@@ -46,6 +37,5 @@ DEPENDENCIES
activesupport (>= 3.0.7)
bcrypt-ruby
debugger
- jeweler
rake
sqlite3
View
17 Rakefile
@@ -1,25 +1,8 @@
require 'rubygems'
require 'rake'
-require 'bundler'
Bundler.setup
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "authlogic"
- gem.summary = "A clean, simple, and unobtrusive ruby authentication solution."
- gem.email = "bjohnson@binarylogic.com"
- gem.homepage = "http://github.com/binarylogic/authlogic"
- gem.authors = ["Ben Johnson of Binary Logic"]
- gem.add_dependency "activesupport", ">= 3.0.0"
- gem.add_dependency "activerecord", ">= 3.0.0"
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
-end
-
require 'rake/testtask'
Rake::TestTask.new(:test) do |test|
test.libs << 'test'
View
185 authlogic.gemspec
@@ -1,174 +1,21 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
Gem::Specification.new do |s|
- s.name = "authlogic"
- s.version = "3.1.2"
+ s.name = "authlogic"
+ s.version = "3.1.2"
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Ben Johnson"]
+ s.email = ["bjohnson@binarylogic.com"]
+ s.homepage = "http://github.com/binarylogic/authlogic"
+ s.summary = %q{A clean, simple, and unobtrusive ruby authentication solution.}
+ s.description = %q{A clean, simple, and unobtrusive ruby authentication solution.}
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Ben Johnson of Binary Logic"]
- s.date = "2012-06-01"
- s.email = "bjohnson@binarylogic.com"
- s.extra_rdoc_files = [
- "LICENSE",
- "README.rdoc"
- ]
- s.files = [
- "Gemfile",
- "Gemfile.lock",
- "LICENSE",
- "README.rdoc",
- "Rakefile",
- "VERSION.yml",
- "authlogic.gemspec",
- "generators/session/session_generator.rb",
- "generators/session/templates/session.rb",
- "init.rb",
- "lib/authlogic.rb",
- "lib/authlogic/acts_as_authentic/base.rb",
- "lib/authlogic/acts_as_authentic/email.rb",
- "lib/authlogic/acts_as_authentic/logged_in_status.rb",
- "lib/authlogic/acts_as_authentic/login.rb",
- "lib/authlogic/acts_as_authentic/magic_columns.rb",
- "lib/authlogic/acts_as_authentic/password.rb",
- "lib/authlogic/acts_as_authentic/perishable_token.rb",
- "lib/authlogic/acts_as_authentic/persistence_token.rb",
- "lib/authlogic/acts_as_authentic/restful_authentication.rb",
- "lib/authlogic/acts_as_authentic/session_maintenance.rb",
- "lib/authlogic/acts_as_authentic/single_access_token.rb",
- "lib/authlogic/acts_as_authentic/validations_scope.rb",
- "lib/authlogic/authenticates_many/association.rb",
- "lib/authlogic/authenticates_many/base.rb",
- "lib/authlogic/controller_adapters/abstract_adapter.rb",
- "lib/authlogic/controller_adapters/merb_adapter.rb",
- "lib/authlogic/controller_adapters/rails_adapter.rb",
- "lib/authlogic/controller_adapters/sinatra_adapter.rb",
- "lib/authlogic/crypto_providers/aes256.rb",
- "lib/authlogic/crypto_providers/bcrypt.rb",
- "lib/authlogic/crypto_providers/md5.rb",
- "lib/authlogic/crypto_providers/sha1.rb",
- "lib/authlogic/crypto_providers/sha256.rb",
- "lib/authlogic/crypto_providers/sha512.rb",
- "lib/authlogic/crypto_providers/wordpress.rb",
- "lib/authlogic/i18n.rb",
- "lib/authlogic/i18n/translator.rb",
- "lib/authlogic/random.rb",
- "lib/authlogic/regex.rb",
- "lib/authlogic/session/activation.rb",
- "lib/authlogic/session/active_record_trickery.rb",
- "lib/authlogic/session/base.rb",
- "lib/authlogic/session/brute_force_protection.rb",
- "lib/authlogic/session/callbacks.rb",
- "lib/authlogic/session/cookies.rb",
- "lib/authlogic/session/existence.rb",
- "lib/authlogic/session/foundation.rb",
- "lib/authlogic/session/http_auth.rb",
- "lib/authlogic/session/id.rb",
- "lib/authlogic/session/klass.rb",
- "lib/authlogic/session/magic_columns.rb",
- "lib/authlogic/session/magic_states.rb",
- "lib/authlogic/session/params.rb",
- "lib/authlogic/session/password.rb",
- "lib/authlogic/session/perishable_token.rb",
- "lib/authlogic/session/persistence.rb",
- "lib/authlogic/session/priority_record.rb",
- "lib/authlogic/session/scopes.rb",
- "lib/authlogic/session/session.rb",
- "lib/authlogic/session/timeout.rb",
- "lib/authlogic/session/unauthorized_record.rb",
- "lib/authlogic/session/validation.rb",
- "lib/authlogic/test_case.rb",
- "lib/authlogic/test_case/mock_controller.rb",
- "lib/authlogic/test_case/mock_cookie_jar.rb",
- "lib/authlogic/test_case/mock_logger.rb",
- "lib/authlogic/test_case/mock_request.rb",
- "lib/authlogic/test_case/rails_request_adapter.rb",
- "lib/generators/authlogic/USAGE",
- "lib/generators/authlogic/session_generator.rb",
- "lib/generators/authlogic/templates/session.rb",
- "rails/init.rb",
- "shoulda_macros/authlogic.rb",
- "test/acts_as_authentic_test/base_test.rb",
- "test/acts_as_authentic_test/email_test.rb",
- "test/acts_as_authentic_test/logged_in_status_test.rb",
- "test/acts_as_authentic_test/login_test.rb",
- "test/acts_as_authentic_test/magic_columns_test.rb",
- "test/acts_as_authentic_test/password_test.rb",
- "test/acts_as_authentic_test/perishable_token_test.rb",
- "test/acts_as_authentic_test/persistence_token_test.rb",
- "test/acts_as_authentic_test/restful_authentication_test.rb",
- "test/acts_as_authentic_test/session_maintenance_test.rb",
- "test/acts_as_authentic_test/single_access_test.rb",
- "test/authenticates_many_test.rb",
- "test/crypto_provider_test/aes256_test.rb",
- "test/crypto_provider_test/bcrypt_test.rb",
- "test/crypto_provider_test/sha1_test.rb",
- "test/crypto_provider_test/sha256_test.rb",
- "test/crypto_provider_test/sha512_test.rb",
- "test/fixtures/companies.yml",
- "test/fixtures/employees.yml",
- "test/fixtures/projects.yml",
- "test/fixtures/users.yml",
- "test/i18n_test.rb",
- "test/libs/affiliate.rb",
- "test/libs/company.rb",
- "test/libs/employee.rb",
- "test/libs/employee_session.rb",
- "test/libs/ldaper.rb",
- "test/libs/ordered_hash.rb",
- "test/libs/project.rb",
- "test/libs/user.rb",
- "test/libs/user_session.rb",
- "test/random_test.rb",
- "test/session_test/activation_test.rb",
- "test/session_test/active_record_trickery_test.rb",
- "test/session_test/brute_force_protection_test.rb",
- "test/session_test/callbacks_test.rb",
- "test/session_test/cookies_test.rb",
- "test/session_test/credentials_test.rb",
- "test/session_test/existence_test.rb",
- "test/session_test/http_auth_test.rb",
- "test/session_test/id_test.rb",
- "test/session_test/klass_test.rb",
- "test/session_test/magic_columns_test.rb",
- "test/session_test/magic_states_test.rb",
- "test/session_test/params_test.rb",
- "test/session_test/password_test.rb",
- "test/session_test/perishability_test.rb",
- "test/session_test/persistence_test.rb",
- "test/session_test/scopes_test.rb",
- "test/session_test/session_test.rb",
- "test/session_test/timeout_test.rb",
- "test/session_test/unauthorized_record_test.rb",
- "test/session_test/validation_test.rb",
- "test/test_helper.rb"
- ]
- s.homepage = "http://github.com/binarylogic/authlogic"
- s.require_paths = ["lib"]
- s.rubygems_version = "1.8.24"
- s.summary = "A clean, simple, and unobtrusive ruby authentication solution."
-
- if s.respond_to? :specification_version then
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<activesupport>, [">= 3.0.7"])
- s.add_runtime_dependency(%q<activerecord>, [">= 3.0.7"])
- s.add_runtime_dependency(%q<activesupport>, [">= 3.0.0"])
- s.add_runtime_dependency(%q<activerecord>, [">= 3.0.0"])
- else
- s.add_dependency(%q<activesupport>, [">= 3.0.7"])
- s.add_dependency(%q<activerecord>, [">= 3.0.7"])
- s.add_dependency(%q<activesupport>, [">= 3.0.0"])
- s.add_dependency(%q<activerecord>, [">= 3.0.0"])
- end
- else
- s.add_dependency(%q<activesupport>, [">= 3.0.7"])
- s.add_dependency(%q<activerecord>, [">= 3.0.7"])
- s.add_dependency(%q<activesupport>, [">= 3.0.0"])
- s.add_dependency(%q<activerecord>, [">= 3.0.0"])
- end
-end
+ s.add_dependency 'activerecord', '~> 3.0.0'
+ s.add_dependency 'activesupport', '~> 3.0.0'
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+end

0 comments on commit 281cd70

Please sign in to comment.
Something went wrong with that request. Please try again.